package switchcounter

import (
	"flag"
	"net/http"

	"within.website/x/web/switchcounter"
)

var (
	scWebhook = flag.String("switchcounter-webhook", "", "Webhook for switchcounter.science")
)

func replicateToSwitchCounter(who string) error {
	a := switchcounter.NewHTTPClient(*scWebhook)
	req := a.Switch(who)
	resp, err := http.DefaultClient.Do(req)
	if err != nil {
		return nil
	}

	if err := switchcounter.Validate(resp); err != nil {
		return err
	}

	return nil
}
